Cyan Web API - Version 1


GET api/dataTypes

            Gets all DataTypes.
            

Response Information

Response body formats

application/json, text/json

Sample:
[
  {
    "dataTypeId": "ac3283ee-02a8-4d65-8c1a-8cc26b77471a",
    "lookupKey": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "cSharpDataType": "sample string 5",
    "javaScriptDataType": "sample string 6",
    "javaDataType": "sample string 7",
    "objectiveCDataType": "sample string 8",
    "createdDateUtc": "2026-05-11T10:09:43.1869963+00:00",
    "updatedDateUtc": "2026-05-11T10:09:43.1869963+00:00"
  },
  {
    "dataTypeId": "ac3283ee-02a8-4d65-8c1a-8cc26b77471a",
    "lookupKey": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "cSharpDataType": "sample string 5",
    "javaScriptDataType": "sample string 6",
    "javaDataType": "sample string 7",
    "objectiveCDataType": "sample string 8",
    "createdDateUtc": "2026-05-11T10:09:43.1869963+00:00",
    "updatedDateUtc": "2026-05-11T10:09:43.1869963+00:00"
  },
  {
    "dataTypeId": "ac3283ee-02a8-4d65-8c1a-8cc26b77471a",
    "lookupKey": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "cSharpDataType": "sample string 5",
    "javaScriptDataType": "sample string 6",
    "javaDataType": "sample string 7",
    "objectiveCDataType": "sample string 8",
    "createdDateUtc": "2026-05-11T10:09:43.1869963+00:00",
    "updatedDateUtc": "2026-05-11T10:09:43.1869963+00:00"
  }
]

application/xml, text/xml

Sample:
<ArrayOfDataTypeRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <DataTypeRepresentation>
    <CreatedDateUtc>2026-05-11T10:09:43.1869963+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-05-11T10:09:43.1869963+00:00</UpdatedDateUtc>
    <CSharpDataType>sample string 5</CSharpDataType>
    <DataTypeId>ac3283ee-02a8-4d65-8c1a-8cc26b77471a</DataTypeId>
    <Description>sample string 4</Description>
    <JavaDataType>sample string 7</JavaDataType>
    <JavaScriptDataType>sample string 6</JavaScriptDataType>
    <LookupKey>sample string 2</LookupKey>
    <Name>sample string 3</Name>
    <ObjectiveCDataType>sample string 8</ObjectiveCDataType>
  </DataTypeRepresentation>
  <DataTypeRepresentation>
    <CreatedDateUtc>2026-05-11T10:09:43.1869963+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-05-11T10:09:43.1869963+00:00</UpdatedDateUtc>
    <CSharpDataType>sample string 5</CSharpDataType>
    <DataTypeId>ac3283ee-02a8-4d65-8c1a-8cc26b77471a</DataTypeId>
    <Description>sample string 4</Description>
    <JavaDataType>sample string 7</JavaDataType>
    <JavaScriptDataType>sample string 6</JavaScriptDataType>
    <LookupKey>sample string 2</LookupKey>
    <Name>sample string 3</Name>
    <ObjectiveCDataType>sample string 8</ObjectiveCDataType>
  </DataTypeRepresentation>
  <DataTypeRepresentation>
    <CreatedDateUtc>2026-05-11T10:09:43.1869963+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-05-11T10:09:43.1869963+00:00</UpdatedDateUtc>
    <CSharpDataType>sample string 5</CSharpDataType>
    <DataTypeId>ac3283ee-02a8-4d65-8c1a-8cc26b77471a</DataTypeId>
    <Description>sample string 4</Description>
    <JavaDataType>sample string 7</JavaDataType>
    <JavaScriptDataType>sample string 6</JavaScriptDataType>
    <LookupKey>sample string 2</LookupKey>
    <Name>sample string 3</Name>
    <ObjectiveCDataType>sample string 8</ObjectiveCDataType>
  </DataTypeRepresentation>
</ArrayOfDataTypeRepresentation>